curl --request PUT \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/{budgetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Update a specific budget item by ID
curl --request PUT \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/{budgetId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"name": "<string>",
"order": 123,
"description": "<string>"
}
'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The monetary amount allocated for the budget item.
The timestamp when the budget item was created.
The unique identifier for the budget item.
The name of the budget item.
The order of the budget item, indicating its sequence based on creation date.
The timestamp when the budget item was last updated.
A description of the budget item.
Was this page helpful?